package com.sd.business.controller.area;

import com.sd.business.entity.area.dto.AreaSelectDto;
import com.sd.business.entity.area.vo.AreaVo;
import com.sd.business.service.area.AreaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 中国行政地区表 前端控制器
 * </p>
 *
 * @author
 * @since 2023-11-20
 */
@RestController
@RequestMapping("/area")
public class AreaController {

    @Autowired
    private AreaService areaService;

    /**
     * 中国行政地区表列表
     */
    @PostMapping("/list")
    public List<AreaVo> list(@Validated @RequestBody AreaSelectDto dto) {
        return areaService.getList(dto);
    }

}
