package com.sd.business.controller.sku;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.sku.dto.SkuUserDto;
import com.sd.business.entity.sku.dto.SkuUserSelectDto;
import com.sd.business.entity.sku.vo.SkuUserVo;
import com.sd.business.service.sku.SkuUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 用户专属sku 前端控制器
 * </p>
 *
 * @author
 * @since 2023-11-20
 */
@RestController
@RequestMapping("/skuUser")
public class SkuUserController {

    @Autowired
    private SkuUserService skuUserService;

    /**
     * 用户专属sku分页
     */
    @PostMapping("/page")
    public Page<SkuUserVo> page(@RequestBody SkuUserSelectDto dto) {
        return skuUserService.getPage(dto);
    }

    /**
     * 用户专属sku明细
     */
    @PostMapping("/detail")
    public SkuUserVo detail(@RequestBody BaseSelectDto dto) {
        return skuUserService.detail(dto.getId());
    }

    /**
     * 用户专属sku新增
     */
    @PostMapping("/add")
    public void add(@Validated @RequestBody SkuUserDto dto) {
        skuUserService.add(dto);
    }

    /**
     * 用户专属sku编辑
     */
    @PostMapping("/edit")
    public void edit(@Validated @RequestBody SkuUserDto dto) {
        skuUserService.edit(dto);
    }

    /**
     * 用户专属sku删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        skuUserService.delete(dto.getId());
    }

}
