package com.sd.business.entity.order.enums;

import com.ruoyi.common.exception.ServiceException;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.HashMap;
import java.util.Map;

/**
 * 订单状态
 */
@Getter
@AllArgsConstructor
public enum OrderStatusEnum {
    TO_BE_PAID(10, "待支付"),
    CANCEL_PAYMENT(20, "取消支付"),
    ARTWORK_UNDER_REVIEW(30, "图稿待确认"),
    WAIT_FOR_DELIVERY(40, "待发货"),
    HAVE_BEEN_SHIPPED(50, "已发货"),

    ;

    private static final Map<Integer, OrderStatusEnum> map = new HashMap<>();

    static {
        for (OrderStatusEnum orderStatusEnum : values()) {
            map.put(orderStatusEnum.getKey(), orderStatusEnum);
        }
    }

    private final Integer key;
    private final String value;

    /**
     * 通过key获取名称
     */
    public static OrderStatusEnum getEnum(Integer key) {
        OrderStatusEnum orderStatusEnum = map.get(key);
        if (orderStatusEnum == null) {
            throw new ServiceException("未知订单状态：" + key);
        }
        return orderStatusEnum;
    }

}
