package com.sd.business.entity.order.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 订单
 * </p>
 *
 * @author 
 * @since 2023-11-23
 */
@Getter
@Setter
@TableName("order_info")
public class OrderInfo extends BasePo {

    /**
     * 订单号
     */
    private String code;

    /**
     * 进度
     */
    private Integer status;

    /**
     * 订单总金额
     */
    private BigDecimal totalAmount;

    /**
     * 产品总金额
     */
    private BigDecimal productTotalAmount;

    /**
     * 定制加工费
     */
    private BigDecimal customProcessingFee;

    /**
     * 包材费
     */
    private BigDecimal packagingMaterialCost;

    /**
     * 打样费
     */
    private BigDecimal proofingFee;

    /**
     * 发货时间
     */
    private Date shippingTime;

    /**
     * 收货人
     */
    private String consignee;

    /**
     * 收货人电话
     */
    private String consigneeNumber;

    /**
     * 省
     */
    private String province;

    /**
     * 市
     */
    private String city;

    /**
     * 县
     */
    private String county;

    /**
     * 街道
     */
    private String streetCode;

    /**
     * 详细地址
     */
    private String detailedAddress;

    /**
     * 邮编
     */
    private String postcode;

    /**
     * 快递网点id
     */
    private String expressDeliveryId;

    /**
     * 快递单号
     */
    private String expressDeliveryCode;

    /**
     * 备注
     */
    private String remark;

}
