package com.sd.business.entity.order.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.DecimalMin;
import javax.validation.constraints.NotNull;

/**
 * <p>
 * 订单sku
 * </p>
 *
 * @author 
 * @since 2023-11-23
 */
@Getter
@Setter
@TableName("order_sku")
public class OrderSku extends BasePo {

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * sku id
     */
    private Long skuUserId;

    /**
     * bom规格id
     */
    @NotNull
    private Long bomSpecId;

    /**
     * 长 cm
     */
    @NotNull
    @DecimalMin("0")
    private BigDecimal length;

    /**
     * 宽 cm
     */
    @NotNull
    @DecimalMin("0")
    private BigDecimal width;

    /**
     * 高 cm
     */
    @NotNull
    @DecimalMin("0")
    private BigDecimal height;

    /**
     * 包材配置集合
     * {@link com.sd.business.entity.sku.enums.SkuPackagingEnum }
     */
    @NotNull
    private String packagingSet;

    /**
     * 设计图
     */
    private String blueprint;

    /**
     * 设计图详情 json格式
     */
    private String blueprintDetails;

    /**
     * 生产文件
     */
    private String productionDocument;

    /**
     * 打样图
     */
    private String proofingImg;

    /**
     * 打样文件
     */
    private String proofingDocument;

    /**
     * 数量
     */
    @NotNull
    @DecimalMin("0")
    private BigDecimal quantity;

    /**
     * 单价
     */
    @NotNull
    private BigDecimal unitPrice;

    /**
     * 定制加工费
     */
    @NotNull
    private BigDecimal customProcessingFee;

    /**
     * 包材费
     */
    @NotNull
    private BigDecimal packagingMaterialCost;

    /**
     * 打样费
     */
    @NotNull
    private BigDecimal proofingFee;

    /**
     * 是否打样 1是 0否
     */
    private Boolean isProofing;

    /**
     * 打印 1单面 2 双面
     */
    private Integer printType;

}
