package com.sd.business.entity.sku.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.DecimalMin;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.math.BigDecimal;

/**
 * <p>
 * 用户专属sku
 * </p>
 *
 * @author
 * @since 2023-11-20
 */
@Getter
@Setter
@TableName("sku_user")
public class SkuUser extends BasePo {

    /**
     * 编号
     */
    @NotEmpty
    @Size(min = 1, max = 50)
    private String code;

    /**
     * 名称
     */
    @NotEmpty
    @Size(min = 1, max = 200)
    private String name;

    /**
     * bom规格id
     */
    @NotNull
    private Long bomSpecId;

    /**
     * 长 cm
     */
    @NotNull
    @DecimalMin("0")
    private BigDecimal length;

    /**
     * 宽 cm
     */
    @NotNull
    @DecimalMin("0")
    private BigDecimal width;

    /**
     * 高 cm
     */
    @NotNull
    @DecimalMin("0")
    private BigDecimal height;

    /**
     * 包材配置集合
     * {@link com.sd.business.entity.sku.enums.SkuPackagingEnum }
     */
    @NotNull
    private String packagingSet;

}
